Package org.apache.solr.client.solrj.response

# Enum Class XMLResponseParser.KnownType

java.lang.Object
java.lang.Enum<XMLResponseParser.KnownType>
org.apache.solr.client.solrj.response.XMLResponseParser.KnownType

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLResponseParser.KnownType>`, `java.lang.constant.Constable`

Enclosing class:
  `XMLResponseParser`

protected static enum XMLResponseParser.KnownType extends Enum<XMLResponseParser.KnownType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARR`
`BOOL`
`DATE`
`DOC`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`LST`
`NULL`
`RAW`
`RESULT`
`STR`

## Method Summary

Modifier and Type
Method
Description
`static XMLResponseParser.KnownType`
`get(String v)`
`abstract Object`
`read(String txt)`
`static XMLResponseParser.KnownType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XMLResponseParser.KnownType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STR

public static final XMLResponseParser.KnownType STR

### INT

public static final XMLResponseParser.KnownType INT

### FLOAT

public static final XMLResponseParser.KnownType FLOAT

### DOUBLE

public static final XMLResponseParser.KnownType DOUBLE

### LONG

public static final XMLResponseParser.KnownType LONG

### BOOL

public static final XMLResponseParser.KnownType BOOL

### NULL

public static final XMLResponseParser.KnownType NULL

### DATE

public static final XMLResponseParser.KnownType DATE

### RAW

public static final XMLResponseParser.KnownType RAW

### ARR

public static final XMLResponseParser.KnownType ARR

### LST

public static final XMLResponseParser.KnownType LST

### RESULT

public static final XMLResponseParser.KnownType RESULT

### DOC

public static final XMLResponseParser.KnownType DOC

## Method Details

### values

public static XMLResponseParser.KnownType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XMLResponseParser.KnownType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### read

public abstract Object read(String txt)

### get

public static XMLResponseParser.KnownType get(String v)